/* Copyright (c) 1997, MpegTV LLC */
#ifndef _msg_api_h
#define _msg_api_h
#ifndef lint
static const char rcsid_msg_api_h[] = "$Header: /net/hopkins/home/tristan/mpeg/dec/RCS/msg_api.h,v 1.5 1998/08/28 03:04:36 tristan Exp $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

#include "msg.h"

/*--------------------------------------------------------------------------+
| Macros																	|
+--------------------------------------------------------------------------*/
/*
 * The parameter (int) of COM_MSG_SELECT and COM_AUDIO_MSG_SELECT is a mask
 * constructed by bitwise OR of the following flags:
 */

/*
 * For COM_MSG_SELECT and COM_AUDIO_MSG_SELECT:
 */
#define	MSG_PTS			(1 << 4)	/* audio / PTS messages */
#define	MSG_PMP			(1 << 5)	/* process communication messages */
#define	MSG_READ		(1 << 6)	/* input stream read messages */
#define	MSG_TIME		(1 << 11)	/* include time in messages */
#define	MSG_SRCFILE		(1 << 12)	/* include source file and line in messages */

/*
 * Only for COM_MSG_SELECT:
 */
#define	MSG_SYNC		(1 << 3)	/* framerate sync messages */
#define	MSG_SYS			(1 << 7)	/* systems parsing messages */
#define	MSG_X			(1 << 8)	/* Xlib messages */
#define	MSG_SYS_POS		(1 << 9)	/* include systems parser position in messages */
#define	MSG_VIDEO_POS	(1 << 10)	/* include video parser position in messages */
#define	MSG_THREAD		(1 << 13)	/* input read thread messages */
#define	MSG_SIH			(1 << 14)	/* SIH (Stream Input Handler) messages */

/*
 * Only for COM_AUDIO_MSG_SELECT:
 */
#define	MSG_AUDIO_SYNC	(1 << 8)	/* audio sync */
#define	MSG_AUDIO_IOCTL	(1 << 9)	/* audio ioctl */
#define	MSG_AUDIO_WRITE	(1 << 10)	/* audio write samples */



#endif /* _msg_api_h */
